curl --request GET \
--url https://sandbox.axle.insure/accounts/{id} \
--header 'x-access-token: <x-access-token>' \
--header 'x-client-id: <x-client-id>' \
--header 'x-client-secret: <api-key>'import requests
url = "https://sandbox.axle.insure/accounts/{id}"
headers = {
"x-client-id": "<x-client-id>",
"x-access-token": "<x-access-token>",
"x-client-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-client-id': '<x-client-id>',
'x-access-token': '<x-access-token>',
'x-client-secret': '<api-key>'
}
};
fetch('https://sandbox.axle.insure/accounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "<string>",
"carrier": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"phone": "<string>",
"email": "<string>",
"policies": [
"<string>"
],
"connection": {
"status": "active",
"updatedAt": "<string>"
},
"createdAt": "<string>",
"modifiedAt": "<string>",
"refreshedAt": "<string>",
"resultDetail": "user-portal-login"
}
}{
"success": false,
"message": "Input validation failed due to one or more missing or invalid parameters. Review the request and try again."
}{
"message": "Unauthorized"
}{
"message": "Too Many Requests"
}Get Account
The Get Account endpoint will return an Account object including high-level account information (e.g., connection status) and any children objects (e.g., Policies) associated with the Account. Please note that this endpoint will NOT refresh the Account object with new data from the insurance carrier.
Authorizations
Your secret API key. This will be shared with you during onboarding and should be considered sensitive - it’s a password after all! Your secret will be matched with your client ID to authenticate your requests.
Headers
Your client ID. This will be shared with you during onboarding.
The access token required for access to the requested Account. Returned as part of Exchange Token.
The client ID of the destination client. This is optional and only used by platform clients. See the Axle for Platforms guide for more information.
Path Parameters
The unique ID for the requested account. Returned as part of the Token Exchange flow in exchangeToken.
Query Parameters
Set to true if you would like to expand related entities (e.g., account, policy, client). Defaults to false.
true, false Response
Was this page helpful?